Bug 756807 - Request for Group Ids for Systemtap User Groups
Request for Group Ids for Systemtap User Groups
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-24 11:33 EST by Dave Brolley
Modified: 2011-11-25 01:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-25 01:34:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Brolley 2011-11-24 11:33:44 EST
Description of problem:
Systemtap uses several groups for the purpose of enforcing the privilege levels of its users. The stap-server group has already been assigned group id 155. This is a request for the assigment of groups ids for the groups stapusr, stapsys and stapdev.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
N/A

Steps to Reproduce:
N/A
  
Actual results:
N/A

Expected results:
Permanent groups ids assigned to groups stapusr, stapsys and stapdev.

Additional info:
Comment 1 Ondrej Vasik 2011-11-24 14:40:15 EST
Ok, I expect that these static permanent group id's are required (as systemtap can potentially handle/store sensitive data)...

Do you need only group id's assigned or you plan to have the userids with the same name as well? Which package is going to create these groups?
Comment 2 Dave Brolley 2011-11-24 16:17:24 EST
(In reply to comment #1)
> Do you need only group id's assigned or you plan to have the userids with the
> same name as well? Which package is going to create these groups?

We just need the group ids. There are no current plans for corresponding userids.
These groups will be created by the systemtap-runtime package.
Comment 3 Ondrej Vasik 2011-11-25 01:34:35 EST
Ok, reserved in setup-2.8.45-1.fc17 .

* Fri Nov 25 2011 Ondrej Vasik <ovasik@redhat.com> 2.8.45-1
- reserve :156 groupid for stapusr - #756807
- reserve :157 groupid for stapsys - #756807
- reserve :158 groupid for stapdev - #756807

Closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.